## shellex 0.1

=== Makefile ===
TOPDIR=$(shell pwd)

include $(TOPDIR)/common.mk

ALL_TARGETS =
INSTALL_TARGETS =
CLEAN_TARGETS =
DISTCLEAN_TARGETS =

all: real-all

include preload/preload.mk
include shellex.mk
include urxvt/urxvt_shellex.mk
include conf.mk
include doc/man/man.mk

real-all: $(ALL_TARGETS)

install: $(INSTALL_TARGETS)

clean: $(CLEAN_TARGETS)

distclean: clean $(DISTCLEAN_TARGETS)

=== debian/changelog ===
shellex (0.1-1) unstable; urgency=low

  * Include upstream changelog
  * Move to unstable
  * New upstream version
  * Add dependency on x11-xserver-utils
  * Add dependency on libx11-protocol-perl
  * Add Vcs-tags
  * Email change: mail@merovius.de -> mero@merovius.de

 -- Axel Wagner <mero@merovius.de>  Sat, 31 Aug 2013 21:33:35 +0200

shellex (0.0-1) experimental; urgency=low

  * Initial release (Closes: #721425)

 -- Axel Wagner <mail@merovius.de>  Sat, 31 Aug 2013 11:41:58 +0200

=== debian/control ===
Source: shellex
Section: x11
Priority: extra
Maintainer: Axel Wagner <mero@merovius.de>
Build-Depends: debhelper (>= 9), asciidoc, xmlto, docbook-xml
Standards-Version: 3.9.4
Homepage: http://github.com/Merovius/shellex
Vcs-Git: git://anonscm.debian.org/users/merovius-guest/shellex.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/merovius-guest/shellex.git;a=summary

Package: shellex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rxvt-unicode, zsh, libx11-protocol-perl, x11-xserver-utils
Description: shell-based launcher
 shellex is supposed to be a dmenu-style launcher with a lot more
 features and a lot simpler design. It launches a shell (currently zsh)
 and shows it in a small terminal, wrapping every command with a little
 bit of extra magic (redirecting stdout, stderr, disowning and closing
 the shell) to get more typical launcher-behaviour.
 .
 This gives you a simple launcher with tab-completion and other
 shell-features, configurable in shell.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- -C doc/man

override_dh_installchangelogs:
		dh_installchangelogs CHANGELOG.md

## shellex 0.2

=== debian/changelog ===
shellex (0.2-1) unstable; urgency=low

  * Updated build rules (include /usr/share/dpkg/default.mk
    and enable hardening)
  * Build verbose (show build commands)
  * New upstream version
  * Paul Seyfert takes over debian maintainership in accordance
    with the previous maintainer Axel Wagner

 -- Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>  Sat, 24 Dec 2016 01:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: shellex
 Section: x11
 Priority: extra
-Maintainer: Axel Wagner <mero@merovius.de>
+Maintainer: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
 Build-Depends: debhelper (>= 9), asciidoc, xmlto, docbook-xml
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://github.com/Merovius/shellex
-Vcs-Git: git://anonscm.debian.org/users/merovius-guest/shellex.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/merovius-guest/shellex.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/shellex.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shellex.git
 
 Package: shellex
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,20 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_HARDENING=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/default.mk
+CFLAGS+=$(HARDENING_CFLAGS)
+LDFLAGS+=$(HARDENING_LDFLAGS)
 
 %:
-	dh $@ 
+	V=1 dh $@ 
 
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build -- -C doc/man
 
 override_dh_installchangelogs:
-		dh_installchangelogs CHANGELOG.md
+	dh_installchangelogs CHANGELOG.md

## shellex 0.3

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 include shellex.mk
 include urxvt/urxvt_shellex.mk
 include conf.mk
+include format.mk
 include doc/man/man.mk
 
 real-all: $(ALL_TARGETS)

=== doc/man/Makefile ===
all:
	$(MAKE) -C ../.. mans

clean:
	$(MAKE) -C ../.. clean-mans

.PHONY: all clean

=== debian/changelog ===
shellex (0.3-1) unstable; urgency=low

  * Updated Debian Policy standard version
  * new upstream version

 -- Paul Seyfert <pseyfert.mathphys@gmail.com>  Tue, 11 Dec 2018 11:41:56 +0100

shellex (0.2-4) UNRELEASED; urgency=medium

  * d/rules: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:43:23 +0200

shellex (0.2-3) unstable; urgency=low

  * Updated Debian Policy standard version
  * change package priority from extra to optional
  * Updated maintainer email address

 -- Paul Seyfert <pseyfert.mathphys@gmail.com>  Fri, 13 Oct 2017 14:59:01 +0200

shellex (0.2-2) unstable; urgency=low

  * Change dependency from asciidoc to asciidoc-base (closes: Bug#850377)

 -- Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>  Mon, 09 Jan 2017 21:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: shellex
 Section: x11
-Priority: extra
-Maintainer: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
-Build-Depends: debhelper (>= 9), asciidoc, xmlto, docbook-xml
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Paul Seyfert <pseyfert.mathphys@gmail.com>
+Build-Depends: debhelper (>= 9), asciidoc-base, xmlto, docbook-xml
+Standards-Version: 4.2.1
 Homepage: http://github.com/Merovius/shellex
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/shellex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/shellex.git
+Vcs-Git: https://salsa.debian.org/debian/shellex.git
+Vcs-Browser: https://salsa.debian.org/debian/shellex
 
 Package: shellex
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 LDFLAGS+=$(HARDENING_LDFLAGS)
 
 %:
-	V=1 dh $@ 
+	V=1 dh $@
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
https://github.com/Merovius/shellex/tags .*/archive/(\d[\d\.]+)\.tar\.gz
